Subject: Re: 2011 1099's
From: "LLPS -Michael B" <[email-masked]>
To: "Eric Wood" <[email-masked]>
Date: Wed, 8 Feb 2012 17:23:25 -0500

Eric,
The addresses and Fed ID's are attached of those who were missing.  Please update the 1099 file and send these out.  Much appreciated!
Thank you,
Michael B
LLPS

From: Eric Wood 
Sent: Tuesday, February 07, 2012 11:28 AM
To: LLPS -Michael B 
Subject: 2011 1099's

Mike,

I have attached 1099's for the people I know should receive 1099's.  I can mail these forms directly to the recipient if you like.

Blue Line Investments: $35,700.00

Frangie Creyts Plaza: $62,222.03

Greensburg Traurig: $2,401.38

Hall & Romkema: $26,158.96

Knaggs Harter Brake: $84,952.55

Universal Home Improvement: $1,270.00

Kathy Warner: $1,040.00

Ryan Dooley had 2 checks for $1,800.00 that were not written though payroll.  Should these wages be reported on a 1099?

Please review the follow vendors in professional fees and see if they should receive a 1099.

If they do please provide an address and Fed ID/SSN for them. 

Baker-Doneson: $5,000.00

Dickerson Wright: $5,000.00

Greg Sobczak: $29,175.00

Huff Poole: $1,500.00

Nyemaster Goode: $42,561.89

 

Thanks,

Eric

 

 

Eric Wood

Hall & Romkema

3495 Coolidge Road

East Lansing, MI 48823

Phone: (517) 337-8900

Fax: (517) 337-8906